*移行ガイド [#p86986e2]
PukiWiki Adv.は、原則的にUTF8版のPukiWikiおよび、PukiWiki Plus! i18nのデーター形式と互換性があり、ほぼそのまま使えます。ただし、trackbackディレクトリ内のデーターはcsvからtsvになっているため、各自で,をタブに変換する必要があります。(もっとも、PukiWikiのリファラー保存機能やPlus!のアクセス解析機能はあくまでもおまけ機能で、Google Analyticsなどでアクセス解析することを推奨します。)

''事故を防ぐため、実行前に必ずバックアップを取ってください。''

*注意 [#c5c540af]
-PukiWiki Plus! i18nと互換性はありますが、リファラーやログなど移行できないものがあります。
-''絶対に''公式やPlus!のものと混ぜて使用しないでください。プラグインは上位互換性はありますが、下位互換性はないものと考えてください。
-バックアップは、より圧縮率のよいbz2圧縮のデーターに更新があったページから自動的に変換されます。互換性は無いので注意してください。
-キャッシュの互換性はありません。移行時に全て削除してください。また、移行完了時に/?cmd=linksを実行し、ページ間キャッシュを再生成してください。

*互換性 [#o7a35fc1]
原則的にデーターはtrackbackディレクトリ内のデーターを除いてすべて互換性があります。UTF-8版のPukiWikiであれば、データーをそのままAdv.の中に入れることでほぼ動作します。ただし、プラグインの互換性の都合上、一部表記を書き直す必要があります。

-JavaScriptを使うプラグインは、jQueryと競合する可能性があるため流用でき無いものと考えてください。Adv.では、onclick属性などは非推奨となっています。イベントリスナ型を使った設計に書き直す必要があります。
-本体をいじるタイプのプラグイン(ExtWikiなど)のサポートは現在しておりません。Adv.のExtWikiサポートは計画中です。((そもそも、すべてRIAにしたい人がExtWikiを使う人で、デザインも保持しつつajax使いたい人がAdv.を使うという住み分けが出来ているような気がしますが))
-概ね公式のプラグインや、Plus! i18nのプラグインは網羅していますが、calendar.inc.phpのように使い方が変わっているものもあります。このため、一部のページでは表示が乱れる可能性があります。詳細は、[[Technical Note/Obsolete]]をご覧になってください。
-パッケージに含まれないプラグインを使用する場合は、必ずextendディレクトリ内のpluginディレクトリに入れてください。(これは、Plus! i18nを使っている場合も同じです)
-JavaScriptパフォーマンスを出すため、''公式及びPlus!用のテーマ(スキン)や、CSSなどの互換性はありません''。[[Technical Note/Theme Design]]を参考に自分で作り直してください。
-auth.ini.phpを除いて設定ファイルは流用できないと考えてください。rules.ini.phpは変更になっています。顔文字はすべて廃止になっています。(代わりにimode互換の絵文字入力ができます)

*移行 [#tb07ae53]
もしも、EUC版のPukiWikiを使用している場合は、Plus! i18nに移行してからAdvに移行することを推奨します。
**EUC版PukiWiki、PukiWiki Plus! eucからの移行 [#t02fab99]
+まず、バックアップを取ってください。
+PukiWiki Adv.を設置します。
+Adv.を展開したディレクトリに、稼働中のPukiWikiのデータ(attach, backup, counter)を上書きしてください。(※設定ファイルは流用できません)
+data2utf8.phpを使ってUTF8に変換してください。Plus! i18nへの移行方法と基本的に同じです。
++./cmd=linksでページ間キャッシュを再生成してください。

**UTF-8版PukiWiki、PukiWiki Plus! i18nからの移行 [#s8fbea2f]
+Adv.を展開したディレクトリに、稼働中のPukiWikiのデータ(attach, backup, counter)を上書きしてください。(※設定ファイルは流用できません)
+./cmd=linksでページ間キャッシュを再生成してください。